Create a Contact Tag
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactTag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tagId": "<integer>",
"contactId": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '<integer>', contactId: '<integer>'})
};
fetch('https://api.virtuoussoftware.com/api/ContactTag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactTag"
payload = {
"tagId": "<integer>",
"contactId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactTag");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"tagId\": \"<integer>\",\n \"contactId\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactTag';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagId: '<integer>', contactId: '<integer>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"contactTagId": 9105,
"tagId": 7002,
"name": "Major Donor",
"total": 512,
"createDateTimeUtc": "2025-11-15T18:00:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"contactsByTagUrl": "https://api.virtuoussoftware.com/api/Contact/ByTag/7002"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact Tags
Create a Contact Tag
POST
/
api
/
ContactTag
Create a Contact Tag
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
The display name of the record.
The total number of records matching the request, across all pages. Use it with skip and take to page through the results.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on April 23, 2026
Was this page helpful?
⌘I